 @import url('https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap');

 body {
        padding: 0px 0;
        margin:0;
        background: #fafafa;
        color:#000;
        font-family: "Mulish", sans-serif;
        font-size: 15px;
    }
body * {
    box-sizing: border-box;
}
    .wrap {
        width: 1200px;
        max-width: 100%;
        margin-left: auto;
        margin-right: auto;
        padding-left: 1rem;
        padding-right: 1rem;
    }


    input,select {
        height: 30px;
        background: transparent;
        border: 1px solid #999;
        color: #000;
        font-size: 12px;
        font-family: "Mulish", sans-serif;
        padding: 0 10px;
        outline: none;
        border-radius: 5px;
    }
    .btn,button {
        height: 30px;
        line-height: 30px;
        padding: 0 20px;
        background: #1dbb75;
        border: 1px solid #1dbb75;
        color: #fff;
        font-weight: bold;
        font-size: 10px;
        font-family: "Mulish", sans-serif;
        cursor: pointer;
        font-weight: 300;
        transition: all .3s ease;
        border-radius: 5px;
        font-weight: 600;
        text-align: center;
        text-transform: uppercase;
        box-shadow:  0 1px 0px 1px rgba(255,255,255,.5) inset ,0 0 0px 1px rgba(0,0,0,.2) inset;
    }
    .btn:hover,button:hover {
        opacity: .9;
        text-decoration: none;
    }

    .btn.btn-logout {
        background-color: #c53c3c;
        border-color: #711b1b;
    }

    .inpt-row button,.inpt-row input {
        width: 100%;
    }

    .login-form {
        max-width: 100%;
        width: 400px;
        margin-left: auto;
        margin-right: auto;
        padding: 20px;
        background-color: #fff;
        border:1px solid #ccc;
        border-radius: 10px;
        margin-top: 50%;
        transform: translate3d(0, -50%, 0);
        box-shadow: 0px 10px 30px -15px rgba(0,0,0,.2);
    }
    .inpt-row {
        display: grid;
        grid-template-columns: 3fr 1fr;
        grid-gap: 1rem;
    }


    h2 {
        padding: 0;
        margin: 0;
        margin-bottom: 1rem;
    }
 
    .btn-block {
        width: 100%;
    }

    .error {
        margin: 0;
        padding: 10px 0 0;
        font-size: 10px;
        color:red;
    }

    .table-grid {
        display: grid;
        grid-template-columns: auto 1fr;
        min-width: 100%;
    }

    .rank_change {
        color:gray;
        font-size: 10px;
/*        vertical-align: super;*/
    position: relative;
    top:-4px;
    }
    .rank_change.plus {
        color:green;
    }

    .rank_change.minus {
        color:red;
    }

    .table-grid .col-data {
        overflow-x: auto;
    }

    .table-keys {
        background-color: #8eddba40;
    }
    table {
        border-spacing: 0px;
    }
    table.table-keys th,table.table-keys td {
        border-color: #b7dccc;
        padding: 0 10px;
    }
    table.table-keys tr:nth-child(even) th {
        background-color: #8eddba82;
    }
    table th,table td {
        height: 24px;
        max-height: 24px;
        font-size: 14px;
        white-space: nowrap;
        border-bottom:1px solid #ccc;
        text-align: left;
        font-weight: 500;
    }

    .table-data {
        min-width: 100%;
    }

    .table-data tr:hover td {
        background-color: #eee;
    }

    .table-data td.edited {
        background-color: #e8e8e8!important;
    }

/*    .table-grid {
          max-height: 300px;
            overflow-y: auto;
    }

    .table-data thead th {
        position: sticky;
        top: 0;
        z-index: 1;
    }*/

    table.table-data th,table.table-keys tr:first-child th {
    background: linear-gradient(#b5e8d2, #1dbb75);
    background: -webkit-linear-gradient(#b5e8d2, #1dbb75);
    padding: 10px;
    color: #022214;
    border: 1px solid #1dbb75;
    border-left:1px solid #99edc8!important;
    box-shadow: 0 1px 2px -1px rgba(255, 255, 255, .5) inset;
    text-shadow: 0px 1px 0 #b5ead3;
    }
    table.table-keys tr:first-child th {
        border-left:1px solid #1dbb75 !important;
    }

    table.table-data th,table.table-data td {
        text-align: center;
        border-left: 1px solid #ccc;
        vertical-align: top;
    }

    .data-stat {
        width: 100px;
        display: inline-grid;
        grid-template-columns: 1fr 5px 1fr;
        align-items: flex-end;
    }
    .is-admin  .accept-edit .data-stat {
         grid-template-columns:3fr 5px 2fr;
    }
    .is-admin .data-stat {
        width: 200px;
    }
    .data-stat .stek {
        font-weight: 100;
/*        font-size: 10px;*/
        color: #aaa;
    }
    .data-stat > span:first-child {
        text-align: right;
        padding-right: 5px;
        color:#999;
    }
    .data-stat > span:last-child {
        text-align: left;
        padding-left: 5px;
    }

    .client-page {
        padding-top: 100px!important;
    }

        form.filter {
            display: inline-flex;
            align-items: center;
            padding-top: 0px;
            width: 100%;
        }

        form.filter >*:not(a) {
            margin-right: 5px;
        }

        form.filter a {
            margin-left: auto;
        }


    a {
        color:#1d84e0;
        text-decoration: none;
    }
    
    a:hover {
        text-decoration: underline;
    }

    .balance {
        font-size: 18px;
        margin-bottom: 2rem;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
    }
    .balance > * {
        margin-right: 5px;
    }
    .balance-val {
        font-weight: bold;
    }
    .balance .cur {
        font-size: 12px;
    }

    .balance-yes {
        color:green;
    }

    .balance-no {
        color:red;
    }


.inp-instls {
    width: 55px;
    height: 20px;
    padding: 2px 5px;
}
.table-data td {
    position: relative;
}
td .history-items {
    width: 100%;
    display: none;
    border-top: 1px dashed #ccc;
    padding: 5px;
    margin-top: 5px;
}
.history-items .his-row {
    display: block;
    font-size: 12px;
    text-align: left;
    color: #666;
    display: grid;
    grid-template-columns: 1fr auto;
}

.history-items .his-row  b {
    color:#333;
}

.table-data .open-his {
    display: block;
    width: 14px;
    height: 14px;
    background:url(../img/down.svg) center no-repeat;
    background-size: contain;
    position: absolute;
    right: 5px;
    top:5;
    opacity: .5;
    transition: all .3s ease;
    transform: scale(-1,1);
}
.table-data .open-his:hover {
    opacity: 1;
    cursor: pointer;
}
.table-data .open-his.active {
    transform: rotate(180deg) ;
}
.table-data .open-his.active + .history-items{
    display: block;
}


.grid-chars {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 2rem;
}
.chart-container {
    padding: 1rem 0 0;
}
.chart-container.char-total {
    padding-top: 2rem;
    padding-block: 2rem;
}



    @media (max-width:767px) {

        .grid-chars {
            grid-template-columns: 1fr;
            grid-gap: 2rem;
        }
        .client-page {
            padding-top: 1rem!important;
        }
        .balance {
            margin-bottom: 1rem;
        }
        .btn.btn-logout {
            margin-bottom: 2rem;
        }
        form.filter {
            flex-wrap: wrap;
        }

        body form.filter > * {
            width: 100%;
            margin: 0;
            margin-bottom: 10px;
        }
        form.filter a {
            order: -1;
        }
        table th, table td {
            font-size: 12px;
            height: 20px;
            max-height: 20px;
        }
        .rank_change {
            font-size: 8px;
        }
    }